Package org.eclipse.birt.chart.computation

# Class PlotComputation

java.lang.Object
org.eclipse.birt.chart.computation.PlotComputation

Direct Known Subclasses:
  `PlotWithAxes`, `PlotWithoutAxes`

public abstract class PlotComputation extends Object
Used as base class for Plot computation. Abstract useful methods from PlotWithAxes and PlotWithoutAxes.

## Constructor Summary

Constructors
Constructor
Description
`PlotComputation(IDisplayServer ids, RunTimeContext rtc, Chart cm)`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`compute(Bounds bo)`
This method computes the entire chart within the given bounds.
`IChartComputation`
`getChartComputation()`
`Chart`
`getModel()`
`final Bounds`
`getPlotBounds()`
`final Insets`
`getPlotInsets()`
`double`
`getPointToPixel()`
Returns current rate for Point->Pixel.
`final RunTimeContext`
`getRunTimeContext()`
`abstract ISeriesRenderingHints`
`getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlotComputation

public PlotComputation(IDisplayServer ids, RunTimeContext rtc, Chart cm)

## Method Details

### compute

public abstract void compute(Bounds bo) throws ChartException, IllegalArgumentException
This method computes the entire chart within the given bounds. If the dataset has changed but none of the axis attributes have changed, simply re-compute without 'rebuilding axes'.

Parameters:
  `bo` -
Throws:
  `ChartException`
  `IllegalArgumentException`

### getSeriesRenderingHints

public abstract ISeriesRenderingHints getSeriesRenderingHints(SeriesDefinition sdOrthogonal, Series seOrthogonal) throws ChartException, IllegalArgumentException

Parameters:
  `sdOrthogonal` -
  `seOrthogonal` -
Returns:
  ISeriesRenderingHints
Throws:
  `ChartException`
  `IllegalArgumentException`

### getPlotBounds

public final Bounds getPlotBounds()

Returns:
  The plot bounds in pixels

### getModel

public Chart getModel()

### getPlotInsets

public final Insets getPlotInsets()

### getRunTimeContext

public final RunTimeContext getRunTimeContext()

### getChartComputation

public IChartComputation getChartComputation()

### getPointToPixel

public double getPointToPixel()
Returns current rate for Point->Pixel.

Returns:
Since:
  2.5